Hello Everyone,
How to remove the all horizontal and vertical constraints in all the sketches with single shot or automatically.
If is this possible, Kindly guide me..
Advance Thanks...
Solved! Go to Solution.
Hello Everyone,
How to remove the all horizontal and vertical constraints in all the sketches with single shot or automatically.
If is this possible, Kindly guide me..
Advance Thanks...
Solved! Go to Solution.
Solved by mcgyvr. Go to Solution.
Hi @gparamasivam ,
So far, the best way I figured is if you hold control and left click select the constraints that you want to delete. Once you have them all selected, just hit the delete button....
You could window drag and then deselect all of the features and constraints that you don't want to delete, but I think this section option will take longer.
Hi @gparamasivam ,
So far, the best way I figured is if you hold control and left click select the constraints that you want to delete. Once you have them all selected, just hit the delete button....
You could window drag and then deselect all of the features and constraints that you don't want to delete, but I think this section option will take longer.
Rotate.
Rotate.
I think @JDMather solution is the best to solve your specific problem, but you can also select all the geometry, right click and select delete all constraints. The drawback, is it will also wipe out the other constraints (except coincident).
I think @JDMather solution is the best to solve your specific problem, but you can also select all the geometry, right click and select delete all constraints. The drawback, is it will also wipe out the other constraints (except coincident).
Can you Attach your file here?
I can't help but wonder why you would want to do this.
In 15 years of using Inventor - I have never seen this need posted here before.
Turning the sketch into a Sketch Block, might be another option...
Can you Attach your file here?
I can't help but wonder why you would want to do this.
In 15 years of using Inventor - I have never seen this need posted here before.
Turning the sketch into a Sketch Block, might be another option...
It will delete the all parallel and perpendicular constraints also,
I need only delete the horizontal and vertical constraints
It will delete the all parallel and perpendicular constraints also,
I need only delete the horizontal and vertical constraints
In iFeature sketches should not have the horizontal and vertical constraints because it may cause make some issue on iFeature. So we have a to do not use horizontal and vertical constraints in iFeature sketches.
Hope you will understand our issue.
In iFeature sketches should not have the horizontal and vertical constraints because it may cause make some issue on iFeature. So we have a to do not use horizontal and vertical constraints in iFeature sketches.
Hope you will understand our issue.
@gparamasivam wrote:
So we have a to do not use horizontal and vertical constraints in iFeature sketches.
Hope you will understand our issue.
Ah, now I understand. And I was incorrect in my previous statement. 😮
@gparamasivam wrote:
So we have a to do not use horizontal and vertical constraints in iFeature sketches.
Hope you will understand our issue.
Ah, now I understand. And I was incorrect in my previous statement. 😮
No problem, thank you for your suggestion
No problem, thank you for your suggestion
@gparamasivam Did the information provided by answer your question? If so, would you please use Accept Solution so that others may find this in the future? Thank you very much!
Chris Benner
Industry Community Manager – Design & Manufacturing
If a response answers your question, please use ACCEPT SOLUTION to assist other users later.
Also be generous with Likes! Thank you and enjoy!
@gparamasivam Did the information provided by answer your question? If so, would you please use Accept Solution so that others may find this in the future? Thank you very much!
Chris Benner
Industry Community Manager – Design & Manufacturing
If a response answers your question, please use ACCEPT SOLUTION to assist other users later.
Also be generous with Likes! Thank you and enjoy!
No, still I did not get the right answer
No, still I did not get the right answer
Aside from the suggestions you have received here, I think you might be looking at the need to create an iLogic solution to do this automatically. I'm not certain that it is even possible with iLogic, but you could try posting in the Inventor Customization forum, maybe one of the experts there will have a suggestion.
Chris Benner
Industry Community Manager – Design & Manufacturing
If a response answers your question, please use ACCEPT SOLUTION to assist other users later.
Also be generous with Likes! Thank you and enjoy!
Aside from the suggestions you have received here, I think you might be looking at the need to create an iLogic solution to do this automatically. I'm not certain that it is even possible with iLogic, but you could try posting in the Inventor Customization forum, maybe one of the experts there will have a suggestion.
Chris Benner
Industry Community Manager – Design & Manufacturing
If a response answers your question, please use ACCEPT SOLUTION to assist other users later.
Also be generous with Likes! Thank you and enjoy!
Thank you for your suggestion
Thank you for your suggestion
Here you go this will delete all horizontal and vertical constraints in a part in all sketches..
Dim oPartDoc As PartDocument
Dim oSketch As PlanarSketch
Dim geoconstraint As GeometricConstraint
On Error Resume Next
oPartDoc = ThisApplication.ActiveDocument
For Each oSketch In oPartDoc.ComponentDefinition.Sketches
For Each geoconstraint In oSketch.GeometricConstraints
If geoconstraint.Type = kHorizontalConstraintObject Then
'MsgBox ("Deleting Horizontal Constraints")
Call geoconstraint.Delete
Else If geoconstraint.Type = kVerticalConstraintObject Then
'MsgBox ("Deleting Vertical Constraints")
Call geoconstraint.Delete
End If
Next geoconstraint
Next oSketch
MsgBox ("All Horizontal and Vertical constraints deleted!")
Here you go this will delete all horizontal and vertical constraints in a part in all sketches..
Dim oPartDoc As PartDocument
Dim oSketch As PlanarSketch
Dim geoconstraint As GeometricConstraint
On Error Resume Next
oPartDoc = ThisApplication.ActiveDocument
For Each oSketch In oPartDoc.ComponentDefinition.Sketches
For Each geoconstraint In oSketch.GeometricConstraints
If geoconstraint.Type = kHorizontalConstraintObject Then
'MsgBox ("Deleting Horizontal Constraints")
Call geoconstraint.Delete
Else If geoconstraint.Type = kVerticalConstraintObject Then
'MsgBox ("Deleting Vertical Constraints")
Call geoconstraint.Delete
End If
Next geoconstraint
Next oSketch
MsgBox ("All Horizontal and Vertical constraints deleted!")
Thank you,
It is working and very useful to us.
Thank you,
It is working and very useful to us.
Can't find what you're looking for? Ask the community or share your knowledge.